Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 14/10/2021, à 08:23

jdt37b

[Résolu] Canon SELPHY CP760 : "Pilotes supplémentaires requis"

Bonjour à tous,
Avec Xubuntu 18.04, cups 2.2.7-1 et gutenprint 5.2.13-2 des dépôts officiels, l'imprimante ci-dessus n'apparaît pas dans la liste des "Canon" lors de l'installation. Il est demandé des pilotes supplémentaires qu'il ne trouve pas, demande suivie d'une "erreur du serveur CUPS" avec "client-error not possible".
Ensuite, en suivant les conseils de  Lien , la CP760 apparaît bien dans la liste, l'URI, le fabricant et le modèle sont complétés mais l'il est impossible d'imprimer la page de test, rien ne se passe sur l'imprimante.

Avec la version 5.2.13 compilée de gutenprint :

 cat /var/log/cups/error_log affiche : 
...
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: 5.2.15 Starting
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: command line: Canon-SELPHY-CP760 \'90\' \'userid\' \'Test Page\' \'1\' <args>
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: using PPD file /etc/cups/ppd/Canon-SELPHY-CP760.ppd
D [13/Oct/2021:16:34:28 +0200] [Job 90] Set job-printer-state-message to "The PPD version (5.2.13) is not compatible with Gutenprint 5.2.15.  Please run `/usr/sbin/cups-genppdupdate\' as administrator.", current level=ERROR
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: If you have upgraded your version of Gutenprint
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: recently, you must reinstall all printer queues.
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: If the previous installed version of Gutenprint
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: was 5.0.0 or higher, you can use the `cups-genppdupdate\'
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: program to do this; if the previous installed version
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: was older, you can use the Modify Printer command via
D [13/Oct/2021:16:34:28 +0200] [Job 90] Gutenprint: the CUPS web interface: http://localhost:631/printers."
... 

Bizarrement, il est question de la version 5.2.15 pour gutenprint, (la version 5.2.15 compilée ne marche pas non plus, mêmes erreurs).
Après "cups-genppdupdate", l'imprimante reste inactive et sans "emplacement" à l'adresse http://localhost:631/printers.

Une idée pour la solution ?
Merci d'avance.

Dernière modification par jdt37b (Le 15/10/2021, à 10:49)


Acer Aspire XC330 - AMD A9-9420 - 4Go - HDD 1To - AMD Radeon R5 - Xubuntu 20.04 LTS - 64 bits
Asus VivoBook X515JA - Intel Core i3-1005G1 - 8Go - SSD 0,5To - Intel driver i915 - Xubuntu 20.04 LTS - 64 bits.

Hors ligne

#2 Le 14/10/2021, à 15:39

ylag

Re : [Résolu] Canon SELPHY CP760 : "Pilotes supplémentaires requis"

Bonjour,

Pour ton info : Sur ma 18.04, il y a une entrée pour le modèle SELPHY CP760 dans la liste des imprimantes Canon avec le paquet printer-driver-gutenprint de base, version 5.2.13-2 :
Capture2021-10-14-10-32-40.png

yvan@yvan-maison:~$ apt list printer-driver-gutenprint cups
En train de lister... Fait
cups/bionic-updates,bionic-security,now 2.2.7-1ubuntu2.8 amd64  [installé]
printer-driver-gutenprint/bionic,now 5.2.13-2 amd64  [installé]
yvan@yvan-maison:~$ 

A+

Dernière modification par ylag (Le 14/10/2021, à 15:56)

Hors ligne

#3 Le 14/10/2021, à 16:26

jdt37b

Re : [Résolu] Canon SELPHY CP760 : "Pilotes supplémentaires requis"

J'en suis au même point, avec "apt list printer-driver-gutenprint cups" j'ai ça :

En train de lister... Fait
cups/bionic-updates,bionic-security,now 2.2.7-1ubuntu2.8 amd64  [installé, automatique]
printer-driver-gutenprint/bionic,now 5.2.13-2 amd64  [installé]

Après les différentes manips effectuées en #1 (... ou après l'avoir loupée la 1ère fois), la SELPHY CP760 apparaît dans l'écran "Choisir le périphérique" avec en URI : "gutenprint52usb://Canon/cp760?serial=G608..................."  mais en demandant toujours des pilotes supplémentaires.
(si cela peut aider : en 18.04, aucun problème avec une Canon MP540)


Acer Aspire XC330 - AMD A9-9420 - 4Go - HDD 1To - AMD Radeon R5 - Xubuntu 20.04 LTS - 64 bits
Asus VivoBook X515JA - Intel Core i3-1005G1 - 8Go - SSD 0,5To - Intel driver i915 - Xubuntu 20.04 LTS - 64 bits.

Hors ligne

#4 Le 15/10/2021, à 10:49

jdt37b

Re : [Résolu] Canon SELPHY CP760 : "Pilotes supplémentaires requis"

Après recherches sur divers forums, l'installation en plus de samba, smbclient, python3-smbc et la recopie de gutenprint52+usb -> gutenprint52usb
dans le répertoire /usr/lib/cups/backend/ a réglé le problème.
Si cela peut servir !
Bonne journée.


Acer Aspire XC330 - AMD A9-9420 - 4Go - HDD 1To - AMD Radeon R5 - Xubuntu 20.04 LTS - 64 bits
Asus VivoBook X515JA - Intel Core i3-1005G1 - 8Go - SSD 0,5To - Intel driver i915 - Xubuntu 20.04 LTS - 64 bits.

Hors ligne

#5 Le 15/10/2021, à 11:07

ylag

Re : [Résolu] Canon SELPHY CP760 : "Pilotes supplémentaires requis"

Bonjour,

Content que tu sois parvenu à faire focntionner ton imprimante... smile

Comment as-tu déterminé qu'il fallait renommer le «backend» gutenprint52+usb  en gutenprint52usb ?

A+

Hors ligne

#6 Le 15/10/2021, à 13:41

jdt37b

Re : [Résolu] Canon SELPHY CP760 : "Pilotes supplémentaires requis"

Avec ce lien pour une CP400.
Et ça marche aussi pour une CP760.


Acer Aspire XC330 - AMD A9-9420 - 4Go - HDD 1To - AMD Radeon R5 - Xubuntu 20.04 LTS - 64 bits
Asus VivoBook X515JA - Intel Core i3-1005G1 - 8Go - SSD 0,5To - Intel driver i915 - Xubuntu 20.04 LTS - 64 bits.

Hors ligne